> For the complete documentation index, see [llms.txt](https://docs.botdistrikt.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.botdistrikt.com/messaging-channels/telegram/telegram-groups.md).

# Telegram Groups

Bots can work in Telegram group chats. In group chats, a bot responds when:

* It is added to a group
* A member joins the group
* A member leaves the group
* A new group is created with the bot as a member
* A member replies to a bot message

You may use bots to manage your groups and communities, play games, and share information amongst all the members of a group easily with scheduled or recurring Broadcasts.

A group is represented as a single User on BotDistrikt, no matter how many members are in it. Groups can be identified with the word *(Group)* in their names, and User Type *group* in their profiles.

![(Group) in a user's name shows that this user is a group](/files/-MkMZ4Z_sI-hzOWwF255)

![User Type group shows that this user is a group](/files/-MkMZe_cpCrx8KOpr6NV)

## Added to a group

When you add the bot to a group, a postback event is triggered. To make the bot respond to this event, you must add a rule with the following condition

| Context   | Property   | Function | Value      |
| --------- | ---------- | -------- | ---------- |
| `message` | `postback` | `equals` | `botAdded` |

If the above rule is not added, the bot will respond with its default fallback story

## Member joins the group

When a new member joins a group the bot is in, a postback event is triggered. To make the bot respond to this event, you must add a rule with the following condition

| Context   | Property   | Function | Value         |
| --------- | ---------- | -------- | ------------- |
| `message` | `postback` | `equals` | `memberAdded` |

If the above rule is not added, the bot will respond with its default fallback story

## Member leaves the group

When a member leaves a group the bot is in, a postback event is triggered. To make the bot respond to this event, you must add a rule with the following condition

| Context   | Property   | Function | Value           |
| --------- | ---------- | -------- | --------------- |
| `message` | `postback` | `equals` | `memberRemoved` |

If the above rule is not added, the bot will respond with its default fallback story

## New group with bot

When a new group is created with the bot as a member, a postback event is triggered. To make the bot respond to this event, you must add a rule with the following condition

| Context   | Property   | Function | Value              |
| --------- | ---------- | -------- | ------------------ |
| `message` | `postback` | `equals` | `groupChatCreated` |

If the above rule is not added, the bot will respond with its default fallback story

## Reply to message

Inside a group, a Telegram bot only responds when one of its previous messages is **Replied** to

![The bot only responds to "Replied to" messages](/files/-MkMQn7rRuEJXmxj0ujU)

{% hint style="info" %}
Tagging a bot by its username will not make the bot respond. Its message must be **Replied** to
{% endhint %}

When a bot provides quick replies in a group, clicking on a quick reply automatically "Replies to" the bot, thus making it easier to chat with in groups

{% hint style="warning" %}
Location quick replies do not work in groups
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.botdistrikt.com/messaging-channels/telegram/telegram-groups.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
